Package org.eclipse.jface.text.contentassist

# Class ContentAssistant.AutoAssistListener

java.lang.Object
org.eclipse.swt.events.KeyAdapter
org.eclipse.jface.text.contentassist.ContentAssistant.AutoAssistListener

All Implemented Interfaces:
  `Runnable`, `EventListener`, `VerifyKeyListener`, `KeyListener`, `SWTEventListener`

Enclosing class:
  ContentAssistant

protected class ContentAssistant.AutoAssistListener extends KeyAdapter implements Runnable, VerifyKeyListener
An implementation of `IContentAssistListener`, this class is used to monitor key events in support of automatic activation of the content assistant. If enabled, the implementation utilizes a thread to watch for input characters matching the activation characters specified by the content assist processor, and if detected, will wait the indicated delay interval before activating the content assistant.

Since:
  3.4 protected, was added in 2.1 as private class

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AutoAssistListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`keyPressed(KeyEvent e)`
Sent when a key is pressed on the system keyboard.
`protected void`
`reset(int showStyle)`
`void`
`run()`
`protected void`
`showAssist(int showStyle)`
`protected void`
`start(int showStyle)`
`protected void`
`stop()`
`void`
`verifyKey(VerifyEvent event)`
The following event fields are used: event.character is the character that was typed (input) event.keyCode is the key code that was typed (input) event.stateMask is the state of the keyboard (input) event.doit is processed or not (output)

### Methods inherited from class org.eclipse.swt.events.KeyAdapter

`keyReleased`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AutoAssistListener

protected AutoAssistListener()

## Method Details

### start

protected void start(int showStyle)

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### reset

protected void reset(int showStyle)

### stop

protected void stop()

### keyPressed

public void keyPressed(KeyEvent e)
Description copied from class: `KeyAdapter`
Sent when a key is pressed on the system keyboard. The default behavior is to do nothing.

Specified by:
  `keyPressed` in interface `KeyListener`
Overrides:
  `keyPressed` in class `KeyAdapter`
Parameters:
  `e` - an event containing information about the key press

### verifyKey

public void verifyKey(VerifyEvent event)
Description copied from interface: `VerifyKeyListener`
The following event fields are used:

- event.character is the character that was typed (input)
- event.keyCode is the key code that was typed (input)
- event.stateMask is the state of the keyboard (input)
- event.doit is processed or not (output)

Specified by:
  `verifyKey` in interface `VerifyKeyListener`
Parameters:
  `event` - the verify event
See Also:
  - `VerifyEvent`

### showAssist

protected void showAssist(int showStyle)